--- title: "Update the DXL Integration Configuration for Domain" slug: "update-the-dxl-integration-configuration-for-domain-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/update-the-dxl-integration-configuration-for-domain-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the DXL Integration Configuration for Domain This URL updates the DXL integration configuration for domain. ### Resource URL PUT /domain//dxlintegration ### Request Parameters URL Parameter | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domainId` | Domain id | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `inheritSettings` | Inherit settings from parent domain | Boolean | Yes | | `enableDXL` | DXL should be enabled or not | Boolean | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/ domain/0/dxlintegration](https://<NSM_IP>/sdkapi/%20domain/0/dxlintegration) **Payload** ``` {       "inheritSettings": true,       "enableDXL": true    } ``` **Response** ```  {       "status":1   } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 400 | 9101 | Cannot inherit settings for parent domain | | 3 | 400 | 1001 | ePO configuration is required to enable DXL service |